# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.71.0"
name = "portage-atom"
version = "0.1.2"
authors = ["Luca Barbato <lu_zero@gentoo.org>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Lightweight Portage package atom parser based on PMS"
readme = "README.md"
keywords = [
    "gentoo",
    "portage",
    "parser",
    "pms",
]
categories = [
    "parser-implementations",
    "development-tools",
]
license = "MIT"
repository = "https://github.com/lu-zero/portage-atom"

[lib]
name = "portage_atom"
path = "src/lib.rs"

[[example]]
name = "parse_atoms"
path = "examples/parse_atoms.rs"

[[example]]
name = "parse_dep_string"
path = "examples/parse_dep_string.rs"

[dependencies.thiserror]
version = "2"

[dependencies.winnow]
version = "0.7"

[profile.release]
opt-level = 3
lto = true
codegen-units = 1
